<!-- 商品评价 evaluate -->
<template>
  <div>
    <van-card class="bgfff" :num="info.num" :price="info.price" :title="info.title" :thumb="info.images">
      <div slot="footer">
        <div><span class="m_color">{{info.num}}</span> {{info.unit | unit}}商品，小计<span class="m_color"> ¥ {{info.total}}</span></div>
      </div>
    </van-card>

    <van-cell-group class="mt20">
      <van-field label="评分">
        <div slot="input">
          <van-rate v-model="form.score" />
        </div>
      </van-field>
      <van-field label="嗮图">
        <div slot="input">
          <zwUpload ref="zwUpload" v-model="form.images" />
        </div>
      </van-field>
      <van-field label="评价内容" rows="2" type="textarea" autosize v-model="form.content" placeholder="评价内容" />
    </van-cell-group>
    <div class="pr10 pl10">
      <div class="m_btn mt50" @click="submit">提交评价</div>
    </div>

  </div>
</template>

<script>
import zwUpload from '@/components/zwUpload'
export default {
  name: 'evaluate',
  components: { zwUpload },
  data() {
    return {
      info: {},
      form: {
        order_goods_id: '', //产品id
        order_id: '', //归属订单id
        score: 5, //评分
        images: [], //评价图片
        content: '', //评价内容
      }
    }
  },
  created() {
    this.init()
  },
  beforeDestroy(){
    sessionStorage.evaluateData=''
  },
  methods: {
    //初始化方法
    init() {
      this.initData()
    },
    initData() {
      let info = sessionStorage.evaluateData && JSON.parse(sessionStorage.evaluateData) || {}
      this.info = info
      this.form.order_goods_id = info.id
      this.form.order_id = info.order_id
    },

    //提交
    submit() {
      this.m_loading()
      this.form.images = this.$refs.zwUpload.getImgUrl()
      this.api.order_comment_comment(this.form).then(res => {
        this.m_hideLoading()
        this.m_success('提交成功')
        setTimeout(() => {
            this.$router.go(-1)
        }, 1500);

      })
    }


  },
}

</script>
<style lang='scss' scoped>
</style>